> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Endpoint V1

> Update url / events / active flag on a registered webhook endpoint. Cannot rotate the signing secret — for that, delete and re-create…

Update url / events / active flag on a registered webhook endpoint.

Cannot rotate the signing secret — for that, delete and re-create.
Empty PATCH (no fields) returns 422.

### Path parameters

<ParamField path="endpoint_id" type="string (uuid)" required />

### Request body

`UpdateWebhookEndpointRequest`

<ParamField body="url" type="string,null" />

<ParamField body="events" type="string[],null" />

<ParamField body="is_active" type="boolean,null" />

### Response

`WebhookEndpointSummary`

<ResponseField name="id" type="string" required />

<ResponseField name="url" type="string" required />

<ResponseField name="events" type="string[]" required />

<ResponseField name="is_active" type="boolean" required />

<ResponseField name="created_at" type="string" required />

<ResponseField name="updated_at" type="string" required />

### Status codes

| Code  | Meaning             |
| ----- | ------------------- |
| `200` | Successful Response |
| `422` | Validation Error    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url 'https://api.computer.stateset.app/api/v1/webhooks/{endpoint_id}' \
    --header 'X-API-Key: YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "url": "https://example.com/webhooks/stateset",
    "events": [
      "string"
    ],
    "is_active": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "url": "https://example.com/webhooks/stateset",
    "events": [
      "string"
    ],
    "is_active": true,
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
